import 'package:fc_components/fc_navigation_bar.dart';
import 'package:fc_components/fc_sort_button.dart';
import 'package:fc_components/util/adapt.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class NavigationBar extends StatefulWidget {
  const NavigationBar({Key? key}) : super(key: key);

  @override
  _NavigationBarState createState() => _NavigationBarState();
}

class _NavigationBarState extends State<NavigationBar> {
  String cacheSizeStr = '';
  bool canCheckBiometrics = false;
  bool localauthBind = false;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('FcNavigationBar 底部导航'),
      ),
      bottomNavigationBar: const FcNavigationBar(
        selectedItemColor: Color(0xFFD4052D),
        unselectedItemColor: Color(0xFF333333),
        items: [
          FcNavigationBarItem(label: '首页', icon: Icon(Icons.home)),
          FcNavigationBarItem(label: '首页', icon: Icon(Icons.book)),
          FcNavigationBarItem(label: '首页', icon: Icon(Icons.perm_identity)),
        ],
      ),
    );
  }
}
